Subject: Re: Telnet Server
From: Bob McGowan <[email-masked]>
To: [email-masked]
Cc: Cygwin <[email-masked]>
Date: Fri, 03 Nov 2000 14:32:25 -0800

Mike,

I just took a closer look at the readme and I was incorrect in my statement.  All I looked at was the part that was "HKLM\Software\Cygnus Solutions\Cygwin\Program Options"
and did _not_ read the rest.  I made an invalid assumption about which backslashes were being discussed, my apologies.

So, open the tree until you reach the key named "Program Options", select its 'context menu->new->string value'.  This will create a new object in the right hand view, "New
Value #1", ready for editing.  Type in the string you need (this is the example "C:\usr\bin\inetd.exe", use your actual case).  Press return to accept the input, then
double click on this new value to open an edit window which has a field for you to enter the values you want.

That should do it.

[email-masked] wrote:
> 
> So I need to add the following registry key?
> 
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\Program
> Options\c\usr\bin\inetd.exe:  binmode tty ntsec
> 
> By the way, I tried setting the CYGWIN environment variable to "binmode tty
> ntsec".  After bootup, inetd shows up in task manager, but attempts to connect
> to localhost via telnet and ftp result in a connection denied.
> 
> Mike Bresnahan
> 
> Bob McGowan <[email-masked]> on 11/03/2000 02:01:03 PM
> 
> To:   Mike J. Bresnahan/US-Corporate/3M/US@3M-Corporate
> cc:   cygwin <[email-masked]>
> Subject:  Re: Telnet Server
> 
> It is not an error, just a convention for specifying the hierarchical structure
> of the registry.
> 
> In regedit, go to HKLM (HKEY_LOCAL_MACHINE) and expand it using the + sign or by
> double clicking the name.
> Recurse through the list of names given in the readme, till you get to one that
> does not exist.  Then create your new key.
> Repeat as needed.
> 
> Hope this helps you.
> 
> Michael Bresnahan wrote:
> >
> > I'm having trouble getting inetd to work.  Quoting from
> > /usr/doc/Cygwin/inetutils-1.3.2.README:
> >
> >   - The environment variable CYGWIN must be either set in the system
> >     environment to be active from start on or you can set CYGWIN thru
> >     the registry:
> >     Under the key HKLM\Software\Cygnus Solutions\Cygwin\Program Options
> >     create a key of type REG_SZ (String) named like the full DOS path
> >     to the application, eg. "C:\usr\bin\inetd.exe" and with the value
> >     equal to the preferred CYGWIN settings, eg "binmode tty ntsec".
> >
> > Regedit on NT 4.0 will not allow me to name a registry key using
> > backslashes.  Is this a typo?
> >
> > Mike Bresnahan
> > ----
> > Corinna Vinschen wrote:
> >
> > > Melvin Brown wrote:
> > > >
> > > > I have Cygwin installed on a windows 2000 system.  How do I use
> > > > in.telnetd.exe as a Telnet Deamon?
> > >
> > > Read /usr/doc/Cygwin/inetutils-1.3.2-README.
> > >
> > > Corinna
> > >
> > > --
> > > Corinna Vinschen                  Please, send mails regarding Cygwin to
> > > Cygwin Developer                        mailto:[email-masked]
> > > Red Hat, Inc.
> > > mailto:[email-masked]
> > >
> > > --
> > > Want to unsubscribe from this list?
> > > Send a message to [email-masked]
> >
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> 
> --
> Bob McGowan
> Staff Software Quality Engineer
> VERITAS Software
> [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]